Package Details: pencil 3.1.0-2

Git Clone URL: https://aur.archlinux.org/pencil.git (read-only, click to copy)
Package Base: pencil
Description: Sketching and GUI prototyping/wireframing tool
Upstream URL: http://github.com/evolus/pencil
Keywords: prototyping sketching wireframe
Licenses: GPL2
Conflicts: evolus-pencil-bin, pencil-v2
Submitter: tinhtruong
Maintainer: lysergia
Last Packager: lysergia
Votes: 182
Popularity: 2.41
First Submitted: 2012-10-11 10:13
Last Updated: 2020-01-08 09:37

Latest Comments

« First ‹ Previous ... 5 6 7 8 9 10

tinhtruong commented on 2012-10-13 08:38

PKGBUILD updated:
* Checksum fixed
* Apply the workaround for xulrunner

Anonymous comment on 2012-10-13 07:51

MD5sum-entry in PKGBUILD doesn't match the md5sum of the pencil-2.0.2.tar.gz file.
PKGBUILD-entry
md5sums=('39acf58e6e97408f696141a0712acc84')

md5sum
d8acf755324d653e04138e7ab95d992f pencil-2.0.2.tar.gz

So long,

Anonymous comment on 2012-10-13 06:15

This package requires xulrunner which is reported to be conflict with eclipse and may be some others in the system. The conflict needs to be resolved by maintainers of the xulrunner and eclipse. I won't suggest you to remove any of them since both of them are important and is the must have for many of the users.

For ones that encounter the conflict while installing Pencil because of xulrunner, the workaround is to change the dependency onto firefox which is also capable of being an XRE. To do this, please follow the following steps:

1. While installing Pencil, at the step that you are asked for editing the PKGBUILD, answer yes and change the dependency from 'xulrunner' to 'firefox'
2. After installing, being as root and modify the file at /usr/bin/pencil, replacing xulrunner with firefox which means that the file should be as:
#!/bin/sh

/usr/bin/firefox --app "/usr/share/pencil/application.ini"